<!DOCTYPE html>
<html lang="en" ng-app="bookPublisherApp">
<head>
  <title>Lucent publication</title>
  <meta charset="UTF-8">
  <meta name="description" content="BPSC & BSSC Exams Related Books, SSC Exams Related Books,UPSC Exams Related Books,States Public Service Commission Exam Related Books,Railway Exams Related Books,IBPS Exams Related Books,LIC Exams Related Books,Other Entrance Test & Competitive Exams">
  <meta name="keywords" content="BPSC & BSSC Exams Related Books,UPSC Exams Related Books,States Public Service Commission Exam Related Books,SSC Exams Related Books,Railway Exams Related Books,IBPS Exams Related Books,Bank PO,RRB,LIC Exams Related Books,Other Entrance Test & Competitive Exams">
  <!--<meta name="fragment" content="!">--> <!--used by google search to crawl -->
 <!-- <base href="/">-->
  <!-- build:remove -->
<!--Important Scripts -->
<!-- /build -->
<script src="testCss/plugins/jQuery/jQuery-2.1.4.min.js"></script>
<script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js" type="text/javascript"></script>
<!-- build:js libaries/minifiedScripts/appScript-min.js-->
<script src="cdnLinks/angular.min.js"></script>
<script src="cdnLinks/angular-ui-bootstrap/dist/ui-bootstrap-tpls.js"></script>
<script src="cdnLinks/angular-ui-bootstrap/dist/ui-bootstrap.js"></script>
<script src="scripts/controller/controllers.js"></script>
<script src="scripts/controller/bookDetailsctrl.js"></script>
<script src="scripts/controller/categoryctrl.js"></script>
<script src="cdnLinks/route.js"></script>
<script src="cdnLinks/angularJsBootstrap/ui-bootstrap-tpls-0.13.1.js"></script>
<script src="scripts/myDirectives/bookPublisherDirectives.js"></script>
<script src="scripts/route/bookPublisherRoute.js"></script>
<script src="scripts/service/bookPublisherService.js"></script>
<script src="scripts/service/typeAheadSearchService.js"></script>
<script src="scripts/myDirectives/imageSlider.js"></script>
<script src="testCss/plugins/jQuery/jQuery-2.1.4.min.js"></script>
<script src="cdnLinks/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="scripts/myDirectives/slider.js"></script>
<script src="testCss/plugins/slimScroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="scripts/script.js" type="text/javascript"></script>
<!-- /build -->
<!--<script src="cdnLinks/angular-google-analytics.min.js"></script>-->
<!-- build:js libaries/minifiedScripts/app-min.js-->
<script src="testCss/dist/js/app.js" type="text/javascript"></script>
<!--/build -->
<script src="//ajax.googleapis.com/ajax/libs/angularjs/1.5.0-beta.1/angular-sanitize.js"></script>

<!-- Tell the browser to be responsive to screen width -->
<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

<!-- build:css  libaries/cssMinified/template-min.css -->
<link href="cdnLinks/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
<link href="testCss/dist/css/AdminLTE.css" rel="stylesheet" type="text/css" />
<link href="testCss/dist/css/skins/skin-yellow-light.min.css" rel="stylesheet" type="text/css" />
  <link rel="stylesheet" href="styles/bookPublisherCSS.css">
<!-- /build -->

<!-- FontAwesome 4.3.0 -->
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css"rel="stylesheet" type="text/css" />
<!-- Ionicons 2.0.0 -->
<link href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<!--<link href="../../testCss/dist/css/AdminLTE.min.css" rel="stylesheet" type="text/css" />-->
<!--<link href="testCss/dist/css/AdminLTE.css" rel="stylesheet" type="text/css" />
<link href="testCss/dist/css/skins/skin-yellow-light.min.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="styles/bookPublisherCSS.css">-->
  <!--Creating Structured data for creating Rich snippets to make it appear for the search on google-->
  <script type="application/ld+json">
{
  "@context": "http://schema.org",
  "@type": "Organization",
  "url": "http://www.lucentpublication.com/#/",
  "contactPoint": [{
    "@type": "ContactPoint",
    "telephone": "+91 99340 16609",
    "contactType": "customer service"
  }]
}
</script>

<script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
           (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
      ga('create', 'UA-75228772-1', 'auto');
   ga('send', 'pageview');
    </script>
<script type="text/ng-template" id="customTemplate.html">
  <a><div>
    <span style="display:block;" class="registration" bind-html-unsafe="match.model.value | typeaheadHighlight:query"></span>
   <!-- <span bind-html-unsafe="match.model.operator | typeaheadHighlight:query"></span> &middot;
    <span bind-html-unsafe="match.model.manufacturer | typeaheadHighlight:query"></span>
    <span bind-html-unsafe="match.model.type | typeaheadHighlight:query"></span>-->
  </div>
    </a>
</script>{{match.model.value}}

<!--<title>Lucent publication</title>
<meta charset="UTF-8">
<meta name="description" content="BPSC & BSSC Exams Related Books, SSC Exams Related Books,UPSC Exams Related Books,States Public Service Commission Exam Related Books,Railway Exams Related Books,IBPS Exams Related Books,LIC Exams Related Books,Other Entrance Test & Competitive Exams">
<meta name="keywords" content="BPSC & BSSC Exams Related Books,SSC Exams Related Books,UPSC Exams Related Books,States Public Service Commission Exam Related Books,Railway Exams Related Books,IBPS Exams Related Books,Bank PO,RRB,LIC Exams Related Books,Other Entrance Test & Competitive Exams">-->
</head>
<body class="skin-yellow-light sidebar-mini boxed" ng-controller="bookCtrlr" id="appWrapper">
<div class="loader" ng-show="loaderStatus"> <!--ng-show="historicalGraphDataValues.loaderStatus.chartOne"-->
  <div class="ballsWaveG ballsWaveG_1"></div>
  <div class="ballsWaveG ballsWaveG_2"></div>
  <div class="ballsWaveG ballsWaveG_3"></div>
  <div class="ballsWaveG ballsWaveG_4"></div>
  <div class="ballsWaveG ballsWaveG_5"></div>
  <div class="ballsWaveG ballsWaveG_6"></div>
  <div class="ballsWaveG ballsWaveG_7"></div>
  <div class="ballsWaveG ballsWaveG_8"></div>
</div>


</div></a>
<div class="wrapper">
  <header class="main-header">
    <!-- Logo -->
    <a ng-click="getAllBooksByAll()" href="#!/testBookList"  class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini"> <img src="img/logo_trans_back_143x59.png" alt="Logo"></span>
      <!-- logo for regular state and mobile devices -->
      <span ng-click="getAllBooksByAll()" href="#!/testBookList" class="logo-lg"><b>Lucent</b>Publication</span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top" role="navigation">
      <div class="input-group mobile-view-searchWidth" style="display:none;margin-left: 10px;">
       <!-- <input type="text" name="q" class="form-control input-group subHeader booksSearch"
       placeholder="Search book title"  auto-complete-directive url={{locationURL}} ng-model="searchParameter">-->
        <div class="input-group input-group-lg">
          <div class="input-group-btn">
           <!-- <button type="button" class="btn btn-warning dropdown-toggle fa fa-caret-down" data-toggle="dropdown"
                    ng-init="filterBY='Title'" ng-bind="filterBY" style="height: 26px; padding: 0px 20px 0px 15px;"
            >&lt;!&ndash;style="height: 46px;padding: 0px"&ndash;&gt;
              &lt;!&ndash;<span class="fa fa-caret-down">
              </span>&ndash;&gt;
            </button>-->
            <button type="button" class="btn btn-warning dropdown-toggle fa fa-caret-down"
                    data-toggle="dropdown" ng-init="filterBY='Title'" ng-bind="filterBY" style="padding-top: 0px; padding-bottom: 0px; height: 23px;">
              <!--<span class="fa fa-caret-down">
              </span>-->
            </button>
            <ul class="dropdown-menu">
              <li><a ng-click="filterBY='Title';clearInput(filterBY)">Book Name</a></li>
              <li><a ng-click="filterBY='Category';clearInput(filterBY)">Category</a></li>
              <li><a ng-click="filterBY='Author';clearInput(filterBY)">Author</a></li>
              <!-- <li class="divider"></li>
               <li><a href="#">Separated link</a></li>-->
            </ul>
          </div>
          <!-- /btn-group -->
        <!--  <input type="text" class="form-control" placeholder="Search By {{filterBY}}" ng-model="selectedBook"
                 typeahead="books as books.value for books in typeAheadArray | filter:$viewValue | limitTo:15"
                 typeahead-template-url="customTemplate.html"  typeahead-select-on-blur="true" typeahead-focus-on-select="true"
                 typeahead-min-length="1"
                 ng-change="searchBookByFilter(selectedBook)" typeahead-on-select="getBookDetailsBasedOnFilter($item)">--> <!--$item,{{filterBY}},selectedBook-->
          <input type="text" class="form-control" placeholder="Search By {{filterBY}}" ng-model="selectedBook"
                 typeahead="books as books.value for books in typeAheadArray | filter:$viewValue | limitTo:15"
                 typeahead-template-url="customTemplate.html"  typeahead-select-on-blur="true" typeahead-focus-on-select="true"
                 typeahead-min-length="3"
                   ng-change="searchBookByFilter(selectedBook)" typeahead-on-select="getBookDetailsBasedOnFilter($item)"
                 style="padding-top: 0px; padding-bottom: 0px; height: 23px;">
        </div>
              <span class="input-group-btn  mobile-view-button">
                <button type="submit" name="search"  class="btn btn-flat" style="padding: 0px 5px; margin-left: 3px; border-left-width: 0px;"><!--ng-click="searchBook(searchParameter,0)"-->
                  <!--<i class="fa fa-search"></i>-->
                  X
                </button>
              </span>
      </div>
      <!-- Sidebar toggle button-->
      <div class="headerTag navbar-custom-menu">
        <ul class="headerList nav navbar-nav">
          <li class="toggle-list"><a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
          </a></li>
          <li class="menu-list">
            <div class="input-group searchWidth" style="margin-top: 15px;">
            <!--  <input type="text" name="q" class="form-control input-group subHeader booksSearch" placeholder="Search book title"
                     auto-complete-directive url={{locationURL}} ng-model="searchParameter">-->

             <!-- <span class="input-group-btn">
                <button type="submit" name="search"  class="btn btn-flat" ng-click="searchBook(searchParameter,0)">
                  <i class="fa fa-search"></i>
                </button>
              </span>-->

              <div class="input-group input-group-lg">
                <div class="input-group-btn">
      <button type="button" class="btn btn-warning dropdown-toggle fa fa-caret-down"
              data-toggle="dropdown" ng-init="filterBY='Title'" ng-bind="filterBY" style="padding-top: 0px; padding-bottom: 0px; height: 23px;">
                    <!--<span class="fa fa-caret-down">
                    </span>-->
      </button>
                  <ul class="dropdown-menu">
                    <li><a ng-click="filterBY='Title';clearInput(filterBY)">Book Name</a></li>
                    <li><a ng-click="filterBY='Category';clearInput(filterBY)">Category</a></li>
                    <li><a ng-click="filterBY='Author';clearInput(filterBY)">Author</a></li>
                   <!-- <li class="divider"></li>
                    <li><a href="#">Separated link</a></li>-->
                  </ul>
                </div>
                <!-- /btn-group -->
                <input type="text" class="form-control" placeholder="Search By {{filterBY}}" ng-model="selectedBook"
                       typeahead="books as books.value for books in typeAheadArray | filter:$viewValue | limitTo:15"
                       typeahead-template-url="customTemplate.html"  typeahead-select-on-blur="true" typeahead-focus-on-select="true"
                       typeahead-min-length="3"
                       ng-change="searchBookByFilter(selectedBook)" typeahead-on-select="getBookDetailsBasedOnFilter($item)"
                       style="padding-top: 0px; padding-bottom: 0px; height: 23px;"> <!--$item,{{filterBY}},selectedBook-->
              </div> <!--ng-change="booksByCategory(selectedBook);booksByTitle(selectedBook);booksByAuthor(selectedBook)"-->
            </div>
            <a class="search-mobile-view"><i class="fa fa-search"></i></a>
          </li>
          <li class="menu-list dropdown messages-menu"><a ng-click="getAllBooksByAll()" href="#!/testBookList" ><i class="fa fa-home"></i></a></li>
          <li class="menu-list"><a href="#!/aboutUs" ng-click="setBreadCrumb('aboutUs');">About us</a></li>
          <li class="menu-list"><a href="#!/contactUs" ng-click="setBreadCrumb('contactUs');">Contact</a></li>
          <li class="menu-list">
            <a class="btn btn-flat btn-primary btn-sm " target="_blank" href="http://www.manojbookagency.com/index.php/lucent-publication.html" >Buy</a>
          </li>
        </ul>
      </div>
    </nav>
  </header>

  <!--<div ng-include="'view/includes/newHeader.html'"></div>-->
  <!-- Left side column. contains the logo and sidebar -->
  <!--<div ng-include="'view/includes/sidebar.html'"></div>-->
  <aside class="main-sidebar" ng-controller="categoryCtrl">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      <!-- search form -->
      <form action="#" method="get" class="sidebar-form">
        <div class="input-group">
          <input type="text" name="q" class="form-control" placeholder="Search menu" ng-model="searchText" />
               <span class="input-group-btn">
                 <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i></button>
               </span>
        </div>
      </form>
      <!-- /.search form -->
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" class="col-md-12">
        <accordion close-others="0" class="accordion1">
          <accordion-group is-open="0" is-disabled="1">
            <accordion-heading class="treeview">
              <i class="fa fa-files-o"></i><!--class="fa fa-files-o"-->
              <span><a class="sidebar-click" ng-click="getAllBooksByAll()">&nbsp;All</a></span> <!--ng-click="getAllBooksByAll()" href="#/all/books/{{all}}"-->
            </accordion-heading>
          </accordion-group>
          <accordion-group is-open="category.open" ng-repeat="category in categoryDetails | filter:searchText:false">
            <accordion-heading class="treeview">
              <i  ng-class="category.icon"></i><!--class="fa fa-files-o"-->
                  <span class="mainCategoryHighlight">{{category.categoryName}}</span>
            </accordion-heading>
            <ul  id="already-set" class="treeview-menu" style=" padding: 5px 5px 5px 15px;display: block;font-size: 14px;">
              <li>
                <a class="subCategoryHighlight" href="#!/category/{{category.categoryName}}/{{subCategory1.name}}"
                   ng-repeat="subCategory1 in category.subCategory | filter:searchText | orderBy:'sortId'" tooltip="{{subCategory1.name}}" tooltip-enable="true" tooltip-trigger="mouseenter" >
                  <i class="fa fa-circle-o"></i>
                  {{subCategory1.name}}
                </a><!--ng-click="getBookByCategory(category.categoryName,subCategory1.name)"-->
              </li>
            </ul><!--class="to-be-changed"-->
          </accordion-group><!--ng-click="$parent.selected = subCategory1.name"-->
        </accordion><!--ng-class="{'list-active-background':$parent.selected===subCategory1.name}"-->
      </ul>
    </section>
    <!-- /.sidebar -->
  </aside>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Main content --><!--ng-click="$parent.clickedElm = $index" class = "active"
    ng-class="{differentBg : ($index == $parent.clickedElm)}"-->
    <section class="content-header">
      <h1>
        {{breadCrumb.main}}
        <small ng-repeat="mainBranches in breadCrumb.mainBranch">{{mainBranches}}
          <span ng-if="$index != breadCrumb.mainBranch.length-1"> > </span> </small>
      </h1>
      <ol class="breadcrumb">
          <li><a ng-click="getAllBooksByAll()" href="#/testBookList"><i class="fa fa-home"></i>{{breadCrumb.secondary}}</a></li>
        <li class="active" ng-repeat="secondaryBranches in breadCrumb.secondaryBranch">{{secondaryBranches}}</li>
      </ol>
    </section>
    <section class="content">
      <!-- Small boxes (Stat box) -->
      <div class="view" ng-view=""></div>
      <div class="row"> </div>
    </section><!-- /.content -->
  </div><!-- /.content-wrapper -->
  <footer class="main-footer">
    <!--<div  ng-include="'view/includes/pagination.html'" style="margin-left: 25%;margin-right:25%;"></div>-->
  </footer>
</div><!-- ./wrapper -->
<!-- jQuery 2.1.4 -->
<!--<script src="testCss/plugins/jQuery/jQuery-2.1.4.min.js"></script>-->
<!-- jQuery UI 1.11.4 -->
<script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js" type="text/javascript"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script type="text/javascript">
  $.widget.bridge('uibutton', $.ui.button);
</script>

<!-- Bootstrap 3.3.2 JS -->
<!--<script src="cdnLinks/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>-->
<!-- Slimscroll -->
<!--<script src="testCss/plugins/slimScroll/jquery.slimscroll.min.js" type="text/javascript"></script>-->
<!-- AdminLTE App -->
<!--<script src="testCss/dist/js/app.min.js" type="text/javascript"></script>-->
</body>
</html>


